using System.Collections.Generic;
using System.Threading.Tasks;
using ToDoManagementSystem.Domain;

namespace ToDoManagementSystem.Interfaces
{
    public interface IRepository
    {
        Task<T> GetById<T>(int id) where T : BaseEntity;
        Task<List<T>> List<T>() where T : BaseEntity;
        Task<List<T>> ListPaginated<T>(int page, int size) where T : BaseEntity;
        Task<T> Add<T>(T entity) where T : BaseEntity;
        Task Update<T>(T entity) where T : BaseEntity;
        Task Delete<T>(T entity) where T : BaseEntity;
    }
}
